---
title: "POST /blueprintactions - Blueprint Actions · RUAL Documentation"
description: "Create a new blueprint action"
canonical: https://docs.rual.nl/cluster/api/blueprint-actions/blueprintactions-post
language: en
---

# POST /blueprintactions

Create a new blueprint action

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **blueprint_guid** required | `string` | 'c45797061f2c15a75361042244385e96419d230ab804d7f...' | Parent blueprint GUID |
| **configuration** optional | `object` | {} | Action-specific configuration |
| **description** optional | `string` | `"Used by the nightly order sync."` | Action description |
| **title** optional | `string` | `"example"` | Action title |
| **type** required | `string` | `"totp"` | Action type identifier |

```
{}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintactions_create` | Required scope: blueprintactions_create |
